#!/bin/bash
## Author: Grey Huang <deepkh@gmail.com> 20160713

### BEGIN INIT INFO
# Provides:           Netsync_Ocean_Cloud
# Required-Start:     $syslog $remote_fs
# Required-Stop:      $syslog $remote_fs
# Should-Start:       postgresql
# Should-Stop:        postgresql
# Default-Start:      3
# Default-Stop:       0 1 6
# Short-Description:  Netsync_Ocean_Cloud
# Description:        Netsync
### END INIT INFO

NAME="Nesync Media Server"
PIDFILE=/var/run/netsync.pid
DIR=/opt/netsync/v2.0.0_linux
DAEMON=netsync

export PATH="${PATH:+$PATH:}/usr/sbin:/sbin"
export LD_LIBRARY_PATH=${DIR}

do_start() {
	start-stop-daemon --start --background -m --oknodo --pidfile ${PIDFILE} -d ${DIR} --exec ${DAEMON}
}

do_stop() {
	start-stop-daemon -K -R TERM/30/KILL/5 -p $PIDFILE -d ${DIR} --exec ${DAEMON}
	rm $PIDFILE 2> /dev/null
}

do_restart() {
	do_stop
	do_start
}

#http://stackoverflow.com/questions/16139940/what-is-start-stop-daemon-in-linux-scripting
case "$1" in
  start)
        echo -n "Starting: "$NAME
	do_start
        echo "."
	;;
  stop)
        echo -n "Stopping: "$NAME
	do_stop
        echo "."
	;;
  restart)
        echo -n "Restarting: "$NAME
	do_restart
	echo "."
	;;

  *)
	echo "Usage: "$1" {start|stop|restart}"
	exit 1
esac

exit 0




